Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch
Class TouchEventsSourcePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEventsSourcePanel

All Implemented Interfaces:
  HasHandlers, EventListener, HasWidgets, HasAllTouchHandlers, HasTouchCancelHandlers, HasTouchEndHandlers, HasTouchMoveHandlers, HasTouchStartHandlers, Iterable<Widget>

    public class TouchEventsSourcePanel

extends SimplePanel
implements HasAllTouchHandlers

A panel which allows capturing touch events.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`TouchEventsSourcePanel()` Creates a new `TouchEventsSourcePanel` with initially no child.
`TouchEventsSourcePanel(Widget child)` Creates a new `TouchEventsSourcePanel` with the specified child.

Method Summary
`HandlerRegistration` | `addTouchCancelHandler(TouchCancelHandler handler)` Adds a `TouchCancelEvent` handler.
`HandlerRegistration` | `addTouchEndHandler(TouchEndHandler handler)` Adds a `TouchEndEvent` handler.
`HandlerRegistration` | `addTouchMoveHandler(TouchMoveHandler handler)` Adds a `TouchMoveEvent` handler.
`HandlerRegistration` | `addTouchStartHandler(TouchStartHandler handler)` Adds a `TouchStartEvent` handler.

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getContainerElement, getWidget, iterator, remove, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addDomHandler, addHandler, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### TouchEventsSourcePanel

    public TouchEventsSourcePanel()

  Creates a new `TouchEventsSourcePanel` with initially no child.

### TouchEventsSourcePanel

    public TouchEventsSourcePanel(Widget child)

  Creates a new `TouchEventsSourcePanel` with the specified child.

Method Detail

### addTouchStartHandler

    public HandlerRegistration addTouchStartHandler(TouchStartHandler handler)

  Adds a `TouchStartEvent` handler.

  Specified by:
    `addTouchStartHandler` in interface `HasTouchStartHandlers`

### addTouchMoveHandler

    public HandlerRegistration addTouchMoveHandler(TouchMoveHandler handler)

  Adds a `TouchMoveEvent` handler.

  Specified by:
    `addTouchMoveHandler` in interface `HasTouchMoveHandlers`

### addTouchEndHandler

    public HandlerRegistration addTouchEndHandler(TouchEndHandler handler)

  Adds a `TouchEndEvent` handler.

  Specified by:
    `addTouchEndHandler` in interface `HasTouchEndHandlers`

### addTouchCancelHandler

    public HandlerRegistration addTouchCancelHandler(TouchCancelHandler handler)

  Adds a `TouchCancelEvent` handler.

  Specified by:
    `addTouchCancelHandler` in interface `HasTouchCancelHandlers`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD